"ISO Latin 2 fonty ve Squeaku"
"Tento script importuje iso latin 2 fonty (helvetica a times) a nastavi je jako default."
"Musi byt umisten v adresari Squeaku, spolu se vsemi ostatnimi soubory."
"Po provedeni je mozne vsechny soubory smazat."

| fontArray textStyle |

"Nejprve je treba hacknout BDFFontReader:"
	(FileStream fileNamed: 'BDFFontReader-read.st') fileIn.

"Originalni Adobe Iso latin 2 fonty maji chyby v FONT_ASCENT a FONT_BOUNDING_BOX.
FONT_ASCENT je treba ve vsech originalnich bdf souborech zvetsit o jednicku !!!!
U s krouzkem bude sice stale jeste o 1 pixel oriznute, ale je to unosne (zvetsenim ascentu
o 2 by se vyska fontu zvetsila tak, ze uz by to napr. v seznamech a menu nebylo hezke). 
BDF soubory s opravenym ascentem jsou prilozeny."

"Vsechny bdf soubory musi mit atribut u+rw a musi byt umisteny v adresari squeaku.
Pak lze provest nasledici skript, ktery fonty nainstaluje do image a prida symbol prirazeni:"

#('helvR' 'timR') with: #('Helvetica' 'Times') do: [ :fileNamePrefix :family |
BDFFontReader convertFilesNamed: fileNamePrefix toFamilyNamed: family inDirectoryNamed: ''.
fontArray _ StrikeFont readStrikeFont2Family: family.
textStyle _ TextStyle fontArray: fontArray.
textStyle leading: 1"; lineGrid: 16". "pro helvR12" "nastavit na vysku fontu, jinak je to moc vysoke."
TextConstants at: family asSymbol put: textStyle.
textStyle fontArray do: [ :f | f characterFormAt: $_ put: 
		((Form
			extent: 7@(f height)
			fromArray: (Array new: (f height //2 -1) withAll: 2r0), #(
				2r00100000000000000000000000000000
				2r01000000000000000000000000000000
				2r11111111111111110000000000000000
				2r01000000000000000000000000000000
				2r00100000000000000000000000000000
				2r0
		) offset: nil) )  "morphEdit".
]].


"Doporucene nastaveni fontu:"

"Rucne by se to udelalo takto:
Menu -> appearance -> system fonts -> 
	default text font -> Helvetica 12pt
	list font  -> Helvetica 12pt
	menu font -> Helvetica 12pt
	window title font -> Helvetica 12pt
	baloon help font -> Helvetica 10pt"
"Times 14pt take neni spatny. Nastaveni se samozrejme projevi az v nove otevrenych oknech."

"Ale udelame to radeji takto:"
Preferences setSystemFontTo:  ((TextConstants at: #Helvetica) fontArray at: 3).
"Preferences setButtonFontTo:  ((TextConstants at: #Helvetica) fontArray at: 2)."
"Preferences setCodeFontTo:  ((TextConstants at: #Helvetica) fontArray at: 3)."
Preferences setListFontTo:  ((TextConstants at: #Helvetica) fontArray at: 3).
Preferences setMenuFontTo:  ((TextConstants at: #Helvetica) fontArray at: 3).
Preferences setWindowTitleFontTo:  ((TextConstants at: #Helvetica) fontArray at: 3).
BalloonMorph setBalloonFontTo:  ((TextConstants at: #Helvetica) fontArray at: 2).

"Test:
pli luouk k pl belsk dy    
PLI LUOUK K PL BELSK DY"

!
