'From Squeak2.7 of 5 January 2000 [latest update: #1762] on 22 April 2000 at 7:14:40 pm'!

!BDFFontReader methodsFor: 'as yet unclassified' stamp: 'vj 4/22/2000 17:39'!
read
	| xTable strikeWidth glyphs ascent descent minAscii maxAscii maxWidth chars charsNum height form encoding bbx array width blt lastAscii pointSize ret dwidth cell cellBlt |
	form _ encoding _ bbx _ nil.
	self initialize.
	self readAttributes.
	height _ Integer readFromString: ((properties at: #FONTBOUNDINGBOX) at: 2).
	ascent _ Integer readFromString: (properties at: 'FONT_ASCENT' asSymbol) first.
	descent _ Integer readFromString: (properties at: 'FONT_DESCENT' asSymbol) first.
	pointSize _ (Integer readFromString: (properties at: 'POINT_SIZE' asSymbol) first) // 10.
	
	maxWidth _ 0.
	minAscii _ 9999.
	strikeWidth _ 0.
	maxAscii _ 0.

	charsNum _ Integer readFromString: (properties at: #CHARS) first.
	chars _ Set new: charsNum.

	1 to: charsNum do: [:i |
		array _ self readOneCharacter.
		form _ array at: 1.
		encoding _ array at: 2.
		bbx _ array at: 3.
		dwidth _ array at: 4.

		"form isNil ifFalse: [form morphEdit]."
		"self halt."
		
		form ifNotNil: [
		"	dwidth _ dwidth - 1. "				" !!!!!! TADY BYLA CHYBA !!!!!!"
			width _ dwidth max: (bbx at: 1).
			maxWidth _ maxWidth max: width.
			minAscii _ minAscii min: encoding.
			maxAscii _ maxAscii max: encoding.
			strikeWidth _ strikeWidth + width.
			chars add: array.
		].
	].

	chars _ chars asSortedCollection: [:x :y | (x at: 2) <= (y at: 2)].
	charsNum _ chars size. "undefined encodings make this different"

	xTable _ (Array new: 258) atAllPut: 0.


	"!!!!!! Transcript cr; show: '---'; cr; show: (strikeWidth printString); show: '     '. "

	glyphs _ Form extent: strikeWidth@height.    
	blt _ BitBlt toForm: glyphs.
	lastAscii _ 0.
	
	1 to: charsNum do: [:i | 
		| unspliceArray |
		unspliceArray _ chars at: i.
		form _ unspliceArray at: 1.
		encoding _ unspliceArray at: 2.
		bbx _ unspliceArray at: 3.
		dwidth _ (unspliceArray at: 4).					" !!!!!! " 
		width _ dwidth max: (bbx at: 1).
		lastAscii+1 to: encoding-1 do: [:a | xTable at: a+2 put: (xTable at: a+1)].

		"I should be able to do all of this in one blit, but I'm too confused.  Create
		a Form of the proper size for this glyph, render the BDF bitmap into it, then 
		stamp it into the StrikeFont glyphs form."
		cell _ Form extent: width@height.
		cellBlt _ BitBlt toForm: cell.

		cellBlt copy: ((bbx at: 3)@((ascent - (bbx at: 2) - (bbx at: 4)))
				extent: (bbx at: 1)@(bbx at: 2))
			from: 0@0 in: form.

		blt copyForm: cell to: (xTable at: encoding+1)@0 rule: Form over.		

		"blt copy: (( ((xTable at: encoding+1)+(bbx at: 3))@(ascent - (bbx at: 2) - (bbx at: 4)))
				extent: (bbx at: 1)@(bbx at: 2))
			from: 0@0 in: form."
		xTable at: encoding+2 put: (xTable at: encoding+1)+(width).
		lastAscii _ encoding.
	].

	"!!!!!! Transcript show: ((xTable at: encoding+2) printString). "

	ret _ Array new: 8.
	ret at: 1 put: xTable.
	ret at: 2 put: glyphs.
	ret at: 3 put: minAscii.
	ret at: 4 put: (maxAscii min: 254). 	" !!!!!! POSLEDNI ZNAK JE VYHRAZEN !!!!!!"
	ret at: 5 put: maxWidth.
	ret at: 6 put: ascent.
	ret at: 7 put: descent.
	ret at: 8 put: pointSize.
	^ret.
" ^{xTable. glyphs. minAscii. maxAscii. maxWidth. ascent. descent. pointSize}"! !
